/* 
   astwar - terminal based 2D space shooter.

   Copyright (C) 2002 Frederico S. Munoz, Jorge Monteiro

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
*/

struct ship
{
  int col;
  int row;
  int id;
  int nshots;
  int nprints;
};

void finish(int sig);
void init_curses (void);
void my_refresh (void);
void wmenu (char *message);
void handle_winch (int sig);
void draw_arena (void);
void check_hit (struct ship *mship1, struct ship *mship2);
void wdmenu (char *message);
void wmenu2 (char *message);
void wdmenu2 (char *message);
